| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AbstractAdaptor Class Reference
Service-side implementation

Base class for all the low-level service-side adaptors. More...

`#include <TelepathyQt/AbstractAdaptor>`

List of all members.

## Public Member Functions

- AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
- ~AbstractAdaptor ()
- QDBusConnection dbusConnection () const
- QObject * adaptee () const

## Detailed Description

Base class for all the low-level service-side adaptors.

This class serves as the parent for all the generated low-level service-side adaptors. Adaptors provide the interface of an object on the bus.

The implementation of this interface should be provided in a special object called the adaptee. The adaptee is meant to provide properties, signals and slots that are connected automatically with the adaptor using Qt's meta-object system.

## Constructor & Destructor Documentation

Tp::AbstractAdaptor::AbstractAdaptor | ( | const QDBusConnection & | dbusConnection,
|  | QObject * | adaptee,
|  | QObject * | parent
| ) |  |

Construct a new AbstractAdaptor that operates on the given dbusConnection and redirects calls to the given adaptee.

Parameters:

  dbusConnection | The D-Bus connection to use.
  adaptee | The class the provides the implementation of the calls.
  parent | The QObject parent of this adaptor.

Tp::AbstractAdaptor::~AbstractAdaptor | ( |  | ) |

Class destructor.

## Member Function Documentation

QDBusConnection Tp::AbstractAdaptor::dbusConnection | ( |  | ) | const

Return the D-Bus connection associated with this adaptor.

Returns:
  The D-Bus connection associated with this adaptor.

QObject * Tp::AbstractAdaptor::adaptee | ( |  | ) | const

Return the adaptee object, i.e. the object that provides the implementation of this adaptor.

Returns:
  The adaptee object.